Bug 173543 - Review Request: xfce4-datetime-plugin
Review Request: xfce4-datetime-plugin
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
David Lawrence
http://xfce-goodies.berlios.de/
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-11-17 20:20 EST by Christoph Wickert
Modified: 2014-09-21 17:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-14 21:38:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2005-11-17 20:20:15 EST
Spec Name or Url: http://home.arcor.de/christoph.wickert/fedora/extras-review/SPECS/xfce4-datetime-plugin.spec
SRPM Name or Url: http://home.arcor.de/christoph.wickert/fedora/extras-review/SRPMS/xfce4-datetime-plugin-0.3.1-3.fc4.src.rpm
Description:
An alternative clock plugin for the Xfce panel. A calendar appears when you left-click on it.

Comments:
rpmlint is clean
License GPL and included
Comment 1 Kevin Fenzi 2005-11-19 22:19:34 EST
Good: 
- rpmlint good on both fc4/fc5
- license good (GPL).
- Builds and works on fc4/fc5 fine. 
- locales/find_lang look good. 

Needswork:
- The Source0 url doesn't seem to work from here... gives a 403 Forbidden. 
http://download.berlios.de/xfce-goodies/xfce4-datetime-plugin-0.3.1.tar.gz

Comment 2 Christoph Wickert 2005-11-19 23:16:20 EST
> Needswork:
> - The Source0 url doesn't seem to work from here... gives a 403 Forbidden. 
> http://download.berlios.de/xfce-goodies/xfce4-datetime-plugin-0.3.1.tar.gz

The URL is ok, just checked it and successfully downloaded the tarball. The
berlios server has had some problems during the last two weeks.
Comment 3 Kevin Fenzi 2005-11-22 18:31:13 EST
Yeah, berlios has had all sorts of issues from here lately. ;( 

It finally just worked now, but the checksums don't match: 

wget http://download.berlios.de/xfce-goodies/xfce4-datetime-plugin-0.3.1.tar.gz
--16:29:17-- 
http://download.berlios.de/xfce-goodies/xfce4-datetime-plugin-0.3.1.tar.gz
           => `xfce4-datetime-plugin-0.3.1.tar.gz'
Resolving download.berlios.de... 195.37.77.141
Connecting to download.berlios.de|195.37.77.141|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 311,941 (305K) [application/x-gzip]

100%[========================================================>] 311,941      
11.45K/s    ETA 00:00

16:29:32 (21.32 KB/s) - `xfce4-datetime-plugin-0.3.1.tar.gz' saved [311941/311941]

md5sum xfce4-datetime-plugin-0.3.1.tar.gz
92b7ebee7f0c8074f5cf590f77f676f2  xfce4-datetime-plugin-0.3.1.tar.gz

md5sum rpm/SOURCES/xfce4-datetime-plugin-0.3.1.tar.gz
b29068f1972b34d0777318bc068ff125  rpm/SOURCES/xfce4-datetime-plugin-0.3.1.tar.gz

Not sure what could have happened there. Can you re-download the src and check
the md5sum?
Comment 4 Christoph Wickert 2005-11-24 18:49:53 EST
I'm getting exactly the same results as you. Source and download don't match.
Don't know what happened there, I downloaded the source a while ago and guess it
has been changed upstream.

So I built a new package with todays source. New SRPM is at
http://home.arcor.de/christoph.wickert/fedora/extras-review/SRPMS/xfce4-datetime-plugin-0.3.1-4.fc4.src.rpm
Updated SPEC
http://home.arcor.de/christoph.wickert/fedora/extras-review/SPECS/xfce4-datetime-plugin.spec
Comment 5 Kevin Fenzi 2005-11-28 14:40:55 EST
The md5's all match and everything looks good to me now...

APPROVED. 
Comment 6 Christoph Wickert 2005-11-28 19:24:52 EST
BuildRequires for libxfcegui4-devel is still missing, thought it would be pulled
by xfce4-panel-devel. Going to add it right after importing the SRPM into CVS.
Comment 7 Christoph Wickert 2005-12-14 21:38:41 EST
Thanks for the review Kevin. Package has built successfully on all arches &
branches.
Comment 8 Mukundan Ragavan 2014-09-21 17:43:00 EDT
Package Change Request
======================
Package Name: xfce4-datetime-plugin
New Branches: epel7
Owners: cwickert
InitialCC: nonamedotc
Comment 9 Jon Ciesla 2014-09-21 17:49:12 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.